<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/gpio.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">gpio.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MINI51 series GPIO driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div>
<p><a href="gpio_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode)</td></tr>
<tr class="memdesc:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO operation mode.  <a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">More...</a><br /></td></tr>
<tr class="separator:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec751ab5c00bcad980d782816df53cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</td></tr>
<tr class="memdesc:gaec751ab5c00bcad980d782816df53cbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable GPIO interrupt.  <a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">More...</a><br /></td></tr>
<tr class="separator:gaec751ab5c00bcad980d782816df53cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin)</td></tr>
<tr class="memdesc:ga675532237c47dd6f69f325e27fd2e7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable GPIO interrupt.  <a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">More...</a><br /></td></tr>
<tr class="separator:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MINI51 series GPIO driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>7 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/10/06 10:44a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="gpio_8c_source.html">gpio.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
